import { NgModule, CUSTOM_ELEMENTS_SCHEMA } from '@angular/core';
import { RouterModule } from '@angular/router';

import { MpmSharedModule } from '../../shared';
import {
    TransferUnitRequestService,
    TransferUnitRequestPopupService,
    TransferUnitRequestComponent,
    TransferUnitRequestDetailComponent,
    TransferUnitRequestDialogComponent,
    TransferUnitRequestPopupComponent,
    TransferUnitRequestDeletePopupComponent,
    TransferUnitRequestDeleteDialogComponent,
    transferUnitRequestRoute,
    transferUnitRequestPopupRoute,
    TransferUnitRequestResolvePagingParams,
    TransferUnitRequestPosComponent,
    TransferUnitRequestPosDetailComponent,
    TransferUnitRequestPosTambahComponent,
    TransferUnitRequestEventComponent,
    TransferUnitRequestEventDetailComponent,
    TransferUnitRequestEventAddComponent,
    TransferUnitReceivePosComponent,
    TransferUnitReceivePosDetailComponent,
    TransferUnitReceiveEventDetailComponent,
    TransferUnitReceiveEventComponent,
    TransferUnitReceiveGudangComponent,
    TransferUnitReceiveGudangDetailComponent,
    TransferUnitReceiveGudangCheckComponent,
    AntarCabangComponent,
    AntarCabangDetailComponent,
    // TransferUnitReceiveEventDetailComponent,
    // TransferUnitReceiveEventComponent,

} from './';
import { AutoCompleteModule,
    CheckboxModule,
    InputTextModule,
    InputTextareaModule,
    CalendarModule,
    DropdownModule,
    EditorModule,
    ButtonModule,
    DataListModule,
    DataGridModule,
    DataScrollerModule,
    CarouselModule,
    PickListModule,
    PaginatorModule,
    DialogModule,
    ConfirmDialogModule,
    ConfirmationService,
    GrowlModule,
    SharedModule,
    AccordionModule,
    TabViewModule,
    ScheduleModule,
    PanelModule,
    ListboxModule,
    ChartModule,
    DragDropModule,
    LightboxModule,
    DataTableModule,
    FieldsetModule,
    RadioButtonModule
   } from 'primeng/primeng';
import { MpmSharedEntityModule } from '../shared-entity.module';
import { CommonModule } from '@angular/common';
import { CurrencyMaskModule } from 'ng2-currency-mask';

const ENTITY_STATES = [
    ...transferUnitRequestRoute,
    ...transferUnitRequestPopupRoute,
];

@NgModule({
    imports: [
        MpmSharedModule,
        MpmSharedEntityModule,
        RouterModule.forChild(ENTITY_STATES),
        CommonModule,
        EditorModule,
        InputTextareaModule,
        ButtonModule,
        DataTableModule,
        DataListModule,
        DataGridModule,
        DataScrollerModule,
        CarouselModule,
        PickListModule,
        PaginatorModule,
        ConfirmDialogModule,
        TabViewModule,
        ScheduleModule,
        AutoCompleteModule,
        CheckboxModule,
        CalendarModule,
        DropdownModule,
        ListboxModule,
        FieldsetModule,
        PanelModule,
        DialogModule,
        AccordionModule,
        PanelModule,
        ChartModule,
        DragDropModule,
        LightboxModule,
        CurrencyMaskModule,
        RadioButtonModule
    ],
    exports: [
        TransferUnitRequestPosComponent,
        TransferUnitRequestPosDetailComponent,
        TransferUnitRequestPosTambahComponent,
        TransferUnitRequestEventComponent,
        TransferUnitRequestEventAddComponent,
        TransferUnitRequestEventDetailComponent,
        TransferUnitReceivePosComponent,
        TransferUnitReceivePosDetailComponent,
        TransferUnitReceiveEventDetailComponent,
        TransferUnitReceiveEventComponent,
        TransferUnitReceiveGudangComponent,
        TransferUnitReceiveGudangDetailComponent,
        TransferUnitReceiveGudangCheckComponent,
        AntarCabangComponent,
        AntarCabangDetailComponent,
        // TransferUnitReceiveEventDetailComponent,
        // TransferUnitReceiveEventComponent,
    ],
    declarations: [
        TransferUnitRequestComponent,
        TransferUnitRequestDetailComponent,
        TransferUnitRequestDialogComponent,
        TransferUnitRequestDeleteDialogComponent,
        TransferUnitRequestPopupComponent,
        TransferUnitRequestDeletePopupComponent,
        TransferUnitRequestPosComponent,
        TransferUnitRequestPosDetailComponent,
        TransferUnitRequestPosTambahComponent,
        TransferUnitRequestEventComponent,
        TransferUnitRequestEventAddComponent,
        TransferUnitRequestEventDetailComponent,
        TransferUnitReceivePosComponent,
        TransferUnitReceivePosDetailComponent,
        TransferUnitReceiveEventDetailComponent,
        TransferUnitReceiveEventComponent,
        TransferUnitReceiveGudangComponent,
        TransferUnitReceiveGudangDetailComponent,
        TransferUnitReceiveGudangCheckComponent,
        AntarCabangComponent,
        AntarCabangDetailComponent,
        // TransferUnitReceiveEventDetailComponent,
        // TransferUnitReceiveEventComponent,
    ],
    entryComponents: [
        TransferUnitRequestComponent,
        TransferUnitRequestDialogComponent,
        TransferUnitRequestPopupComponent,
        TransferUnitRequestDeleteDialogComponent,
        TransferUnitRequestDeletePopupComponent,
        TransferUnitRequestPosComponent,
        TransferUnitRequestPosDetailComponent,
        TransferUnitRequestPosTambahComponent,
        TransferUnitRequestEventComponent,
        TransferUnitRequestEventAddComponent,
        TransferUnitRequestEventDetailComponent,
        TransferUnitReceivePosComponent,
        TransferUnitReceivePosDetailComponent,
        TransferUnitReceiveEventDetailComponent,
        TransferUnitReceiveEventComponent,
        TransferUnitReceiveGudangComponent,
        TransferUnitReceiveGudangDetailComponent,
        TransferUnitReceiveGudangCheckComponent,
        AntarCabangComponent,
        AntarCabangDetailComponent,
        // TransferUnitReceiveEventDetailComponent,
        // TransferUnitReceiveEventComponent,
    ],
    providers: [
        TransferUnitRequestService,
        TransferUnitRequestPopupService,
        TransferUnitRequestResolvePagingParams,
    ],
    schemas: [CUSTOM_ELEMENTS_SCHEMA]
})
export class MpmTransferUnitRequestModule {}
